---

cloudserver_docker_repository: zenko/cloudserver
cloudserver_docker_tag: latest-7.10.19


cloudserver_default_config:
  port: 8000
  listenOn: []
  clusters: 10
  restEndpoints:
    localhost: us-east-1
    127.0.0.1: us-east-1
  websiteEndpoints: []
  log:
    logLevel: info
    dumpLevel: error
  healthChecks:
    allowFrom:
      - 127.0.0.0/8
      - ::1
  metadataDaemon:
    bindAddress: localhost
    port: 9990
  dataDaemon:
    bindAddress: localhost
    port: 9991
  metadataClient:
    host: localhost
    port: 9990
  dataClient:
    host: localhost
    port: 9991
  requests:
    viaProxy: false
    trustedProxyCIDRs: []
    extractClientIPFromHeader: X-Forwarded-For
cloudserver_config: {}
cloudserver_config_computed: "{{ cloudserver_default_config | combine(cloudserver_config, recursive=True) }}"

cloudserver_default_location_config:
  us-east-1:
    type: file
    legacyAwsBehavior: true
    details: {}
cloudserver_location_config: {}
cloudserver_location_config_computed: "{{ cloudserver_default_location_config | combine(cloudserver_location_config, recursive=True) }}"

cloudserver_authdata:
  accounts: []
